#include <bits/stdc++.h>

using namespace std;

int main()
{
    int v,b,a;
    b=0;
    scanf("%d",&v);
    while(v>0)
    {
        a=v%10;
        if(a==1)
            b++;
        else if(a==2)
            b++;
        else if(a==3)
            b+=2;
        else if(a==4)
            b+=2;
        else if(a==5)
            b++;
        else if(a==6)
            b+=2;
        else if(a==7)
            b+=2;
        else if(a==8)
            b+=3;
        else if(a==9)
            b+=3;
        v/=10;
    }
    printf("%d",b);
    return 0;
}